<?php

class warehouse_inventory { 
	
	private $layout_object;
	
	function __construct() {
		$this->layout_object = Registry::get('layout_object');
	}
	
	function run() {
		$item_object = new Item(Registry::get('base'));
		
		$under_min = $item_object->get_sold_out();
		$this->layout_object->assign('low_inventory', $under_min);
		
		return $this->layout_object->fetch('widgets/warehouse_inventory.tpl');
	}
}